Subject: bug#57434: 28.1.91; Terminal Emacs Mac OS flickering.

From: Dmitrii Kuragin <[email-masked]>
Date: Thu, 1 Sep 2022 05:32:47 -0700

Sorry, I completely misunderstood it.

I actually wasn't able to reproduce flickering on Terminal.app, only on
Alacritty.

I need a bit more rest :)

On Thu, Sep 1, 2022 at 5:27 AM Dmitrii Kuragin <[email-masked]> wrote:

> Thank you for digging deeper into this! There is a lot of useful
> information. But,
> Here's a video of flickering https://youtu.be/Is2ebMXjhxg:
>  - Different MacBook (2019 I believe).
>  - Terminal.app (The one which comes as a standard).
>  - Simplest Emacs from http://emacsformacosx.com/
>  - No tmux.
>  - No advanced user customizations (it is not my laptop).
>  - Only display-line-numbers-mode is enabled with 'visual type.
>
> It is definitely not attached to Alacritty, but probably the same issue
> with refresh vs frame rate updates.
>
> On Thu, Sep 1, 2022 at 4:30 AM Eli Zaretskii <[email-masked]> wrote:
>
>> > From: Gerd Möllmann <[email-masked]>
>> > Cc: [email-masked],  [email-masked]
>> > Date: Thu, 01 Sep 2022 10:56:35 +0200
>> >
>> > Eli Zaretskii <[email-masked]> writes:
>> >
>> > > I'm not sure I understand: what would the user send to the terminal in
>> > > those hooks?
>> >
>> > They would send the begin-update/end-update control sequences.  That
>> > would be ESC P <something> in the one proposal I mentioned.
>> >
>> > It would of course be better if we could do that automatically.
>>
>> Exactly.  I don't think it's reasonable to expect users to figure out
>> what and when to send if we cannot figure that out ourselves.
>>
>
>
> --
> *If you get an email from me outside of the 9-5 it is *not* because I'm
> always on or expect an immediate response from you; it is because of work
> flexibility
> <http://www.inc.com/john-boitnott/how-flexible-hours-can-create-a-better-work-life-balance.html>
> .  Evening and weekend emails are a sign I allocated some regular working
> hours for other things (such as family, gym, friends,...).  And I encourage
> you to feel free to do the same.
>
>

-- 
*If you get an email from me outside of the 9-5 it is *not* because I'm
always on or expect an immediate response from you; it is because of work
flexibility
<http://www.inc.com/john-boitnott/how-flexible-hours-can-create-a-better-work-life-balance.html>
.  Evening and weekend emails are a sign I allocated some regular working
hours for other things (such as family, gym, friends,...).  And I encourage
you to feel free to do the same.